com.holonplatform.auth.jwt

## Enum JwtTokenBuilder.AuthPart

- java.lang.Object
- - java.lang.Enum<JwtTokenBuilder.AuthPart>
  - - com.holonplatform.auth.jwt.JwtTokenBuilder.AuthPart

- All Implemented Interfaces:
    Serializable, Comparable<JwtTokenBuilder.AuthPart>
  Enclosing class:
    JwtTokenBuilder

      public static enum JwtTokenBuilder.AuthPart
      extends Enum<JwtTokenBuilder.AuthPart>

  Enumeration of `Authentication` parts

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DETAILS` Details
    `PERMISSIONS` Permissions

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JwtTokenBuilder.AuthPart` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JwtTokenBuilder.AuthPart[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERMISSIONS

          public static final JwtTokenBuilder.AuthPart PERMISSIONS

      Permissions

    - #### DETAILS

          public static final JwtTokenBuilder.AuthPart DETAILS

      Details

  - ### Method Detail

    - #### values

          public static JwtTokenBuilder.AuthPart[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JwtTokenBuilder.AuthPart c : JwtTokenBuilder.AuthPart.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JwtTokenBuilder.AuthPart valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 The Holon Platform. All rights reserved.